Subject: [pim] Fwd: [Xorp-users] PIM-DM and Flood-and-Prune approach

From: "hiren joshi" <[email-masked]>
Date: Wed, 2 Jan 2008 13:34:20 +0530

---------- Forwarded message ----------
From: Pavlin Radoslavov <[email-masked]>
Date: Dec 30, 2007 1:41 AM
Subject: Re: [Xorp-users] PIM-DM and Flood-and-Prune approach
To: hiren joshi <[email-masked]>
Cc: [email-masked]

hiren joshi <[email-masked]> wrote:

> Hello,
>
> First, thanks for answering all my previous questions. Here is my current
> question:
>
> PIM-DM uses state-refresh mechanism to refresh the prune state of outgoing
> interfaces of multicast routers.
> This consumes bandwidth. What if we make the prune state sticky. Here is
> what I want to say -
>
> 1. Initially traffic is flooded everywhere.
> 2. Those who do not want it, send Prune. Prune state will not be timed
out.
> 3. If you have sent Prune previously and want the traffic now, send Graft.
> 4. If you have sent Graft previously and do not want the traffic now, send
> Prune.
>
> What can be the problem with this approach?
> Basically I want to ask: why the prune state do have a finite lifetime.
Why
> the traffic is flooded everywhere when the prune timer expires?

This is not really XORP-related subject, so the PIM mailing list
would be more appropriate for that: [email-masked]

Anyway, here is some information on the subject.
One of the problems with the above approach is "reliability".
If a Graft or Prune packet is lost, then the forwarding state in the
upstream routers will be wrong. The forwarding state will be also be
wrong if a downstream router crashes without sending a Prune
message.

The so-called "soft state" routing protocols (incl. PIM-SM and
PIM-DM) use periodic messages so if a message is lost, the state
will be refreshed later by the periodic retransmission. Also, each
state has timeout so if it isn't refreshed after some period (e.g.,
if the transmitting router crashes), the state will be removed.

Hope that helps,
Pavlin
_______________________________________________
pim mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pim